
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_SECTION_STATE_H
#define PG_SECTION_STATE_H

#include "xstd/String.h"
#include "xstd/Array.h"

class XmlTag;

class SectionState {
	public:
		SectionState();

		void reset();

		int level() const;

		String begSection(const XmlTag &s, String &trueNum); // suggests section "number"
		void endSection();

	protected:
		String curNum(const XmlTag &s, String &trueNum) const;

	protected:
		Array<int> theLevels;
};

#endif
