
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_XML_ATTR_LIST_H
#define PG_XML_ATTR_LIST_H

#include "xstd/Array.h"

class String;
class XmlAttr;

// a collection of XML nodes
class XmlAttrs: public Array<XmlAttr*> {
	public:
		typedef Array<XmlAttr*> Parent;

	public:
		const XmlAttr *has(const String &name) const;
		const XmlAttr *has(const String &name, const String &value) const;
		const String &value(const String &name) const;

		XmlAttrs &operator <<(const XmlAttr &a);
};

#endif
