
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#include "xstd/xstd.h"

#include "xstd/h/string.h"
#include "xstd/h/iostream.h"
#include "xstd/h/string.h"

#include "xstd/Assert.h"
#include "xstd/Area.h"


Area Area::Create(const char *str) {
	return str ? Area::Create(str, 0, strlen(str)) : Area("", 0, 0);
}

Area &Area::operator =(const Area &) {
	Assert(false); // disabled
	return *this;
}


ostream &operator <<(ostream &os, const Area &area) {
	if (area)
		os.write(area.data(), area.size());
	return os;
}
