
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef LIB_INIT_H
#define LIB_INIT_H


// declares a standard library initializer

#define LIB_INITIALIZER(Name)\
static \
class Name { \
	public: \
		Name() { if (!TheUseCount++) init(); } \
		~Name() { if (!--TheUseCount) clean(); } \
\
	protected: \
		void init(); \
		void clean(); \
\
	protected: \
		static int TheUseCount; \
} The ## Name;

#endif
