
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef XSTD_NET_IF_META_H
#define XSTD_NET_IF_META_H

#include "xstd/h/sys/socket.h"
#include "xstd/h/string.h"

#ifdef HAVE_NET_IF_H
#include <net/if.h>
#endif

#ifdef HAVE_NET_IF_VAR_H
#include <net/if_var.h>
#endif

#if defined(HAVE_WINSOCK2_H)
#include <winsock2.h>
#include <ws2tcpip.h>
#endif


#ifndef HAVE_TYPE_IFREQ
#   ifndef IFNAMSIZ
#   define IFNAMSIZ 16
#   endif
	struct ifreq {
		char ifr_name[IFNAMSIZ];
		sockaddr ifr_addr;
	};
#endif

#endif
