
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#include "base/polygraph.h"

#include "probe/ProbeSrv.h"
#include "probe/ProbeSrvXact.h"
//#include "probe/PolyProbe.h"

ProbeSrvXact::ProbeSrvXact(const NetAddr &aCltHost, const NetAddr &aSrvHost, int fd):
	ProbeXact(aCltHost, aSrvHost, fd) {
}

ProbeAgent *ProbeSrvXact::owner() {
	return theOwner;
}

const ProbeAgent *ProbeSrvXact::owner() const {
	return theOwner;
}

void ProbeSrvXact::exec(ProbeSrv *anOwner) {
	theOwner = anOwner;
	ProbeXact::exec();
}
