
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_XML_SECTION_H
#define PG_XML_SECTION_H

#include "xml/XmlTag.h"

class XmlSection: public XmlTag {
	public:
		XmlSection();
		XmlSection(int level);
		XmlSection(const String &title);
		XmlSection(int level, const String &title);

	protected:
		static String TagName(int level);
};



#endif
